summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
authorZeno Albisser <zeno.albisser@digia.com>2013-06-27 13:27:20 +0200
committerAndras Becsi <andras.becsi@digia.com>2013-06-27 13:51:22 +0200
commit7327bbfc93e1e2dda2436814e66e2e237b66b997 (patch)
tree46c1db16d984a96edb02613be38d4f917e29a7f0 /patches
parentd6a9674f398c8578ce1af8cf07d43e6f030dee0b (diff)
Remove gclient commands from patch_chromium script.
The new submodule layout does not need gclient anymore. Instead it relies on the init-repository.py script and git submodule. We are still checking for CHROMIUM_SRC_DIR for the time being. Just in case somebody still wants to use external chromium sources. In this case it will be necessary to master gclient manually though. Change-Id: I1633cda873c94fd86433be1f60fd422c7f230cb2 Reviewed-by: Andras Becsi <andras.becsi@digia.com>
Diffstat (limited to 'patches')
-rwxr-xr-xpatches/patch-chromium.sh33
1 files changed, 12 insertions, 21 deletions
diff --git a/patches/patch-chromium.sh b/patches/patch-chromium.sh
index cd10ba590..64893d6e4 100755
--- a/patches/patch-chromium.sh
+++ b/patches/patch-chromium.sh
@@ -42,34 +42,25 @@
# Script used temporarily to invoke gclient and apply our patches
-if [ -z $CHROMIUM_SRC_DIR -o ! -d $CHROMIUM_SRC_DIR ]; then
- echo "CHROMIUM_SRC_DIR not set or pointing to a non existing directory."
- exit 1;
-fi
-
PATCH_DIR="$( cd "$( dirname "$0" )" && pwd )"
+QTWEBENGINE_SRC_DIR="$( cd $PATCH_DIR/../ && pwd )"
-cd $CHROMIUM_SRC_DIR
-echo "Entering $PWD"
+if [ -z "$CHROMIUM_SRC_DIR" ]; then
+ CHROMIUM_SRC_DIR="$( cd $PATCH_DIR/../chromium && pwd )"
+fi
-GCLIENT=`which gclient 2>/dev/null`
-if [ -z $GCLIENT ]; then
- # Try to find it in the most likely location
- GCLIENT=$CHROMIUM_SRC_DIR/../depot_tools/gclient
- if [ ! -e $GCLIENT ]; then
- echo "Can't find gclient"
- exit 2;
- fi
+if [ ! -d "$CHROMIUM_SRC_DIR" ]; then
+ echo "CHROMIUM_SRC_DIR pointing to a non existing directory. $CHROMIUM_SRC_DIR"
+ exit 1;
fi
-$GCLIENT revert
+echo "Checking out Chromium HEADs..."
+cd $QTWEBENGINE_SRC_DIR
+git submodule update --recursive
-if [ "$2" = "--update" ]; then
- $GCLIENT fetch
- $GCLIENT sync
-fi
+cd $CHROMIUM_SRC_DIR
+echo "Entering $PWD"
-echo "Applying patches..."
git am $PATCH_DIR/0001-My-local-fixes.patch $PATCH_DIR/0002-Add-WebEngineContext-to-RunLoop-s-friends.patch
cd tools/gyp